org.optaplanner.core.impl.domain.variable.listener.support

## Class VariableListenerNotification

- java.lang.Object
- - org.optaplanner.core.impl.domain.variable.listener.support.VariableListenerNotification

-     public class VariableListenerNotification
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableListenerNotification(Object entity, VariableListenerNotificationType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Warning: do not test equality of `VariableListenerNotification`s for different `VariableListener`s (so `ShadowVariableDescriptor`s) because equality does not take those into account (for performance)!
    `Object` | `getEntity()`
    `VariableListenerNotificationType` | `getType()`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableListenerNotification

          public VariableListenerNotification(Object entity,
                                              VariableListenerNotificationType type)

  - ### Method Detail

    - #### getEntity

          public Object getEntity()

    - #### getType

          public VariableListenerNotificationType getType()

    - #### equals

          public boolean equals(Object o)

      Warning: do not test equality of `VariableListenerNotification`s for different `VariableListener`s (so `ShadowVariableDescriptor`s) because equality does not take those into account (for performance)!
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - sometimes null
      Returns:
        true if same entity instance and the same type

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.